(function() {
	tinymce.PluginManager.add('fast_ebay_listings', function( editor, url ) {

		//add button
		editor.addButton('fast_ebay_listings', {
			type: 'menubutton',			
			icon: 'fas fab fa-ebay',
			tooltip: editor.getLang('extrastrings.pluginTitle'),
			menu: [{
				text: editor.getLang('extrastrings.felSearch'),
		      onclick: function() {
					  editor.execCommand('ebay_search_popup','',{
					});
				}	
			},
			{
				text: editor.getLang('extrastrings.felSingleItem'),
		        onclick: function() {
					editor.execCommand('ebay_item_popup','',{
					});
				}	
			},
			{
				text: editor.getLang('extrastrings.felSingleImage'),
		      onclick: function() {
					  editor.execCommand('ebay_image_popup','',{
					});
				}	
			},
			{
				text: editor.getLang('extrastrings.felRss'),
		      onclick: function() {
					  editor.execCommand('ebay_rss_popup','',{
					});
				}	
			},
      {
				text: editor.getLang('extrastrings.felFeedback'),
		      onclick: function() {
					  editor.execCommand('ebay_feedback_popup','',{
					});
				}	
			},
			]			
		});

	});
})();